de.esprit.appsuite.database.dbgui.field.model

## Class DocModelDecimal

- java.lang.Object
- - javax.swing.text.AbstractDocument
  - - javax.swing.text.PlainDocument
    - - de.esprit.appsuite.database.dbgui.field.model.FieldDocModel
      - - de.esprit.appsuite.database.dbgui.field.model.DocModelChar
        - - de.esprit.appsuite.database.dbgui.field.model.DocModelNumber
          - - de.esprit.appsuite.database.dbgui.field.model.DocModelDecimal

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.text.Document

      public class DocModelDecimal
      extends DocModelNumber

  Accepts decimal number input only.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.text.AbstractDocument

      `javax.swing.text.AbstractDocument.AbstractElement, javax.swing.text.AbstractDocument.AttributeContext, javax.swing.text.AbstractDocument.BranchElement, javax.swing.text.AbstractDocument.Content, javax.swing.text.AbstractDocument.DefaultDocumentEvent, javax.swing.text.AbstractDocument.ElementEdit, javax.swing.text.AbstractDocument.LeafElement`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.text.PlainDocument

      `lineLimitAttribute, tabSizeAttribute`

    - ### Fields inherited from class javax.swing.text.AbstractDocument

      `BAD_LOCATION, BidiElementName, ContentElementName, ElementNameAttribute, listenerList, ParagraphElementName, SectionElementName`

    - ### Fields inherited from interface javax.swing.text.Document

      `StreamDescriptionProperty, TitleProperty`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocModelDecimal()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `isAllowedCharacter(char code)` To be overridden by subclasses

    - ### Methods inherited from class de.esprit.appsuite.database.dbgui.field.model.DocModelNumber

      `insertString`

    - ### Methods inherited from class de.esprit.appsuite.database.dbgui.field.model.FieldDocModel

      `isAllowedString, isValidInput, isValidLength, setCheckedWidth, setInputChecked, setWidthChecked`

    - ### Methods inherited from class javax.swing.text.PlainDocument

      `createDefaultRoot, getDefaultRootElement, getParagraphElement, insertUpdate, removeUpdate`

    - ### Methods inherited from class javax.swing.text.AbstractDocument

      `addDocumentListener, addUndoableEditListener, createBranchElement, createLeafElement, createPosition, dump, fireChangedUpdate, fireInsertUpdate, fireRemoveUpdate, fireUndoableEditUpdate, getAsynchronousLoadPriority, getAttributeContext, getBidiRootElement, getContent, getCurrentWriter, getDocumentFilter, getDocumentListeners, getDocumentProperties, getEndPosition, getLength, getListeners, getProperty, getRootElements, getStartPosition, getText, getText, getUndoableEditListeners, postRemoveUpdate, putProperty, readLock, readUnlock, remove, removeDocumentListener, removeUndoableEditListener, render, replace, setAsynchronousLoadPriority, setDocumentFilter, setDocumentProperties, writeLock, writeUnlock`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocModelDecimal

          public DocModelDecimal()

  - ### Method Detail

    - #### isAllowedCharacter

          protected boolean isAllowedCharacter(char code)

      Description copied from class: `FieldDocModel`
      To be overridden by subclasses
      Overrides:
        `isAllowedCharacter` in class `DocModelNumber`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.